Subject: RE: bug#8510: 24.0.50; lexbind problem (apparently): void-variable symbol

From: "Drew Adams" <[email-masked]>
Date: Sat, 16 Apr 2011 11:01:50 -0700

> > I do not use defadvice in this way in my code anywhere (anymore) -
> > I use only `ad-get-arg'.  And in the Icicles code I use defadvice
> > in only two minor places, neither of which accesses an argument
> > (by name or otherwise).
> 
> Yes, the code can be anywhere.  For me, the problem was in 
> anything, but the symptom occured also with M-x describe-*.
> I'd grep thru all elisp files I have installed for defadvices
> and check them.

Yes, I did that.  That's what I meant by "I do not use defadvice in this way in
my code anywhere (anymore) - I use only `ad-get-arg'."  By "anywhere" I meant in
_any_ of my code.

None of my code (or other 3rd-party code that I load) uses defadvice with a
named argument.  It uses only `ad-get-arg' when it accesses arguments.

And the Icicles code, which is the code invoking the call to
`documentation-property' that raises the error, has only two defadvices, neither
of which accesses any argument.

So it seems to me that this bug is unrelated to #8457.
But I could be wrong, of course.